import es
import playerlib

info = es.AddonInfo() 
info.name     = "Owner Connect" 
info.version  = "1.0" 
info.url      = "http://addons.eventscripts.com/addons/view/OwnerConnect" 
info.basename = "OwnerConnect" 
info.author   = "Acid87" 
es.ServerVar('OwnerConnect_Ver', info.version, 'Owner Connect Version').makepublic()

####################
####################
######EDIT HERE#####
####################
####################

# Add all owners in this format
# {'STEAM ID':'Owner's Name'}
# if multiple owners, seperate with a comma
# {'1st STEAM ID':'1st Owner's Name', '2nd STEAM ID':'2nd Owner's Name'}

owners = {'STEAM_0:1:9934651':'Acid'}

####################
####################
####################
####################

def load():
    es.msg('#multi', '#default[#greenOwner Connect#default] #lightgreenLoaded Successfully')

def unload():
    es.msg('#multi', '#default[#greenOwner Connect#default] #lightgreenUnloaded Successfully')

def player_activate(ev):
    userid = ev['userid']
    steamid = es.getplayersteamid(userid)
    if steamid in owners:
        es.msg('#multi', '#default[#greenOwner#default] #default%s#lightgreen Has Joined the Game' % owners[steamid])
        es.server.queuecmd('est_Shake #a 1 10 5')


def player_disconnect(ev):
    steamid = ev['networkid']
    if steamid in owners:
        es.msg('#multi', '#default[#greenOwner#default] #default%s#lightgreen Has Left the Game' % owners[steamid])
        es.server.queuecmd('est_Shake #a 1 10 5')